{$N+}

type
  Float = Double;

const
  pi = 3.141592654;

function sgn(a: Float): Float;
begin
  if a < 0 then sgn := 3 else if a > 0 then sgn := 1 else sgn := 0;
end;

function atan2(a, b: Float): Float;
begin
  if abs(b) < 1e-6 then atan2 := pi / 2 * sgn(a)
  else if b > 0 then atan2 := arctan(a / b) + 2 * pi * Ord(a < 0)
  else atan2 := pi + arctan(a / b);
end;

var
  f: Text;
  xm, ym: Float;
begin
  Assign(f, 'input.txt'); Reset(f);
  Read(f, xm, ym);
  Close(f);
  Assign(f, 'output.txt'); Rewrite(f);
  Writeln(f, trunc(atan2(xm, ym) / 2 / pi * 60 + 60) mod 60);
  Close(f);
end.
